<?php


return  
    [
        'model' => [
            'model' => \Beo\Testimonial\Models\Testimonial::class,
            'repository' => \Beo\Testimonial\Repositories\Eloquent\TestimonialRepository::class,
            'table' => 'testimonials',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['subtitle',  'title',  'name',  'designation',  'short_description',  'description',  'slug',  'status'],
            'translatables' => [],
            'upload_folder' => 'testimonial/testimonial',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            
        ],

        'form' => [
            
        ],

        'urls' => [
            'new' => [
                'url' => 'testimonial/testimonial/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'testimonial/testimonial/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'testimonial/testimonial',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'testimonial/testimonial',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'testimonial/testimonial',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'testimonial/testimonial',
                'method' => 'DELETE',
            ],
        ],
        'order' => [
            'created_at' => 'testimonial::testimonial.label.created_at',
            'name' => 'testimonial::testimonial.label.name',
            'status' => 'testimonial::testimonial.label.status',
        ],
        'groups' => [
            'main' => 'testimonial::testimonial.groups.main',
            'details' => 'testimonial::testimonial.groups.details',
            'images' => 'testimonial::testimonial.groups.images',
            'settings' => 'testimonial::testimonial.groups.settings',
        ],
        'controller' => [
            'provider' => 'Beo',
            'package' => 'Testimonial',
            'module' => 'Testimonial',
        ],
    ];
