<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for testimonial in testimonial package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  testimonial module in testimonial package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Testimonial',
    'names' => 'Testimonials',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Testimonials',
        'sub' => 'Testimonials'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        'status'              => [],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'subtitle'                   => '',
        'title'                      => '',
        'name'                       => '',
        'designation'                => '',
        'short_description'          => '',
        'description'                => '',
        'slug'                       => '',
        'status'                     => '',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'subtitle'                   => '',
        'title'                      => '',
        'name'                       => '',
        'designation'                => '',
        'short_description'          => '',
        'description'                => '',
        'slug'                       => '',
        'status'                     => '',
    ],
];
